> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Search Patents

GET https://api.filesearch.dev/v2/datasets/odyssey/patents/search

Search patents by query (assignee, inventor, or keywords).

Args:
    q: Search query
    limit: Maximum results (1-100)

Returns:
    Patent search results

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/patents/patents-search

## Request

### Query parameters

- `q` (string, required) — Search query (assignee, inventor, or keywords)
- `limit` (integer, optional, default: 10) — Maximum number of results

## Response

### 200

Successful Response

- `patents` (list of PatentDetail, required)
- `query` (string, required)
- `total_results` (integer, required)
- `error` (string, optional, nullable)

## Types

### PatentDetail

Individual patent details.

- `patent_number` (string, required)
- `title` (string, required)
- `abstract` (string, optional, nullable)
- `assignee` (string, optional, nullable)
- `filing_date` (string, optional, nullable)
- `inventors` (list of string, optional)
- `patent_url` (string, optional, nullable)
- `publication_date` (string, optional, nullable)

## Examples

**Response**

```json
{
  "patents": [
    {
      "patent_number": "patent/US9898730B2/en",
      "title": "Credit card system and method",
      "abstract": "A credit card system is provided which has the added feature of providing additional limited use credit card numbers and/or cards. These numbers and/or cards can be used for a single or limited use transaction, thereby reducing the potential for fraudulent reuse of these numbers and/or cards. The …",
      "assignee": "Orbit Patents Limited",
      "filing_date": "2014-04-29",
      "inventors": [
        "Daniel Ian Flitcroft"
      ],
      "patent_url": "https://patentimages.storage.googleapis.com/4f/a4/f4/7c5f3f3bd091ef/US9898730.pdf",
      "publication_date": "2018-02-20"
    },
    {
      "patent_number": "patent/US8308059B2/en",
      "title": "Real-time card credit limit on card plastic",
      "abstract": "15. The credit card of claim 14 , wherein plurality of buttons for entering alphanumeric information comprise an up arrow button and a down arrow button. 16. The credit card of claim 8 , further comprising a numeric or alphanumeric keypad coupled to the processor. 17. The credit card of claim 8",
      "assignee": "Visa U.S.A., Inc.",
      "filing_date": "2009-01-09",
      "inventors": [
        "Nicole Janine Granucci"
      ],
      "patent_url": "https://patentimages.storage.googleapis.com/27/9b/7c/130732ce74e1ae/US8308059.pdf",
      "publication_date": "2012-11-13"
    }
  ],
  "query": "credit",
  "total_results": 10,
  "error": null
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/patents/search",
    headers=headers,
    params={"q": "credit"},
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/patents/search?q=credit`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```